package egovframework.service;

import egovframework.vo.AdminVO;
import egovframework.vo.PopupVO;
import egovframework.vo.StatsVO;

import javax.servlet.http.HttpSession;
import java.util.List;
import java.util.Map;


public interface AdminService {

    AdminVO getUser(String id);

    void insertNotice(Map<String, Object> paramMap);

    void deleteNotice(Map<String, Object> paramMap);

    void updateNotice(Map<String, Object> paramMap);

    List<PopupVO> getPopupList(Map<String, Object> paramMap);

    void insertPopup(Map<String, Object> paramMap);

    void updatePopupUseYN(Map<String, Object> paramMap);

    void deletePopup(Map<String, Object> paramMap);

    void updatePopup(Map<String, Object> paramMap);

    Map<String, Object> checkPrePw(Map<String, Object> paramMap);

    void updatePw(Map<String, Object> paramMap);

    List<StatsVO> getHHStatus(Map<String, Object> paramMap);

    List<StatsVO> getDDStatus(Map<String, Object> paramMap);

    List<StatsVO> getMMStatus(Map<String, Object> paramMap);

    void adminLoginMake(Map<String, Object> paramMap);

    void adminLogoutMake(Map<String, Object> paramMap);

    Map<String, Object> loginCheck(Map<String, Object> paramMap, HttpSession session);
}
